[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldDef.DataType

Data type for the field

## Declaration

Source position: db.pas line 198

`published property TFieldDef.DataType : TFieldType read FDataType write SetDataType;`

## Description

DataType contains the data type of the field's contents. Based on this property, the FieldClass property determines what kind of field class must be used to represent this field.

## See also

TFieldDef.FieldClass |  | TField class used for this fielddef
TFieldDef.CreateField |  | Create TField instance based on definitions in current TFieldDef instance.